package com.ffii.tbms.common;

import java.math.BigDecimal;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

import com.ffii.core.BaseEntity;

@Entity
@Table(name = "material_item")
public class MaterialItem extends BaseEntity<Integer> {

	private static final long serialVersionUID = -483809080806589852L;

	@Column(columnDefinition = "int(11)")
	private Integer bandId;

	@Column(columnDefinition = "int(11)")
	private Integer orderIdx;

	@Column(columnDefinition = "varchar(255)")
	private String name;

	@Column(columnDefinition = "varchar(255)")
	private String bunch;

	@Column(columnDefinition = "varchar(255)")
	private String itemNo;

	@Column(columnDefinition = "decimal(18,4)")
	private BigDecimal cost;

	@Column(columnDefinition = "varchar(255)")
	private String fabricNum;
	
	@Column(columnDefinition = "decimal(18,4)")
	private BigDecimal suitPrice;

	@Column(columnDefinition = "decimal(18,4)")
	private BigDecimal jacketPrice;

	@Column(columnDefinition = "decimal(18,4)")
	private BigDecimal overcoatPrice;
	
	@Column(columnDefinition = "decimal(18,4)")
	private BigDecimal pantsPrice;

	@Column(columnDefinition = "decimal(18,4)")
	private BigDecimal otherPrice;

	public MaterialItem(){}

	public Integer getBandId() {
		return bandId;
	}

	public void setBandId(Integer bandId) {
		this.bandId = bandId;
	}

	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public String getBunch() {
		return bunch;
	}

	public void setBunch(String bunch) {
		this.bunch = bunch;
	}

	public String getItemNo() {
		return itemNo;
	}

	public void setItemNo(String itemNo) {
		this.itemNo = itemNo;
	}

	public BigDecimal getCost() {
		return cost;
	}

	public void setCost(BigDecimal cost) {
		this.cost = cost;
	}

	public BigDecimal getSuitPrice() {
		return suitPrice;
	}

	public void setSuitPrice(BigDecimal suitPrice) {
		this.suitPrice = suitPrice;
	}

	public BigDecimal getJacketPrice() {
		return jacketPrice;
	}

	public void setJacketPrice(BigDecimal jacketPrice) {
		this.jacketPrice = jacketPrice;
	}

	public BigDecimal getOvercoatPrice() {
		return overcoatPrice;
	}

	public void setOvercoatPrice(BigDecimal overcoatPrice) {
		this.overcoatPrice = overcoatPrice;
	}

	public BigDecimal getPantsPrice() {
		return pantsPrice;
	}

	public void setPantsPrice(BigDecimal pantsPrice) {
		this.pantsPrice = pantsPrice;
	}

	public BigDecimal getOtherPrice() {
		return otherPrice;
	}

	public void setOtherPrice(BigDecimal otherPrice) {
		this.otherPrice = otherPrice;
	}

	public String getFabricNum() {
		return fabricNum;
	}

	public void setFabricNum(String fabricNum) {
		this.fabricNum = fabricNum;
	}

	public Integer getOrderIdx() {
		return orderIdx;
	}

	public void setOrderIdx(Integer orderIdx) {
		this.orderIdx = orderIdx;
	}

}
